## golang-golang-x-clipboard 0.7.1

=== tests/Makefile ===
# Copyright 2021 The golang.design Initiative Authors.
# All rights reserved. Use of this source code is governed
# by a MIT license that can be found in the LICENSE file.
#
# Written by Changkun Ou <changkun.de>

all: test

test:
	go test -v -count=1 -covermode=atomic ..

test-docker:
	docker build -t golang-design/x/clipboard ..
	docker run --rm --name cb golang-design/x/clipboard
	docker rmi golang-design/x/clipboard

## golang-golang-x-clipboard 0.7.0+dfsg

=== debian/changelog ===
golang-golang-x-clipboard (0.7.0+dfsg-1) unstable; urgency=low

  * Initial upload to sid, required for nerdlog.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 May 2025 11:44:14 +0200

=== debian/control ===
Source: golang-golang-x-clipboard
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-golang-x-exp-dev,
 golang-golang-x-image-dev,
 golang-golang-x-mobile-dev,
 golang-golang-x-sys-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev,
 libx11-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/golang-design/clipboard
Vcs-Browser: https://forgejo.debian.net/nerdlog/golang-golang-x-clipboard
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: golang.design/x/clipboard

Package: golang-golang-x-clipboard-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: clipboard for text and images (Go library)
 clipboard is a Go library to copy text (UTF-8) and images (PNG).

## golang-golang-x-clipboard 0.7.1

=== debian/changelog ===
golang-golang-x-clipboard (0.7.1-1) sid; urgency=medium

  * Merging upstream version 0.7.1.
  * Dropping note about excluded files in copyright, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jun 2025 10:31:09 +0200

golang-golang-x-clipboard (0.7.0+dfsg-2) sid; urgency=medium

  * Using codenames instead of suitnames in changelog.
  * Harmonizing upload need in initial changelog entry.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Jun 2025 07:23:10 +0200

golang-golang-x-clipboard (0.7.0+dfsg-1) sid; urgency=low

  * Initial upload to sid, needed for nerdlog.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 May 2025 11:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/golang-design/clipboard
-Vcs-Browser: https://forgejo.debian.net/nerdlog/golang-golang-x-clipboard
+Vcs-Browser: https://forgejo.debian.net/golang/golang-golang-x-clipboard
+Vcs-Git: https://forgejo.debian.net/golang/golang-golang-x-clipboard
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: golang.design/x/clipboard

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	# removing unused files
	rm -rf debian/golang-golang-x-clipboard-dev/usr/bin

override_dh_auto_test:
	# disabled (needs display)

=== debian/watch ===
version=4
https://github.com/golang-design/clipboard/tags .*/v?(\d.*)@ARCHIVE_EXT@
